# Uses of Class
org.apache.lucene.search.uhighlight.PassageFormatter

Packages that use PassageFormatter
Package
Description
org.apache.lucene.search.uhighlight
The UnifiedHighlighter -- a flexible highlighter that can get offsets from postings, term vectors, or analysis.

- ## Uses of PassageFormatter in org.apache.lucene.search.uhighlight

  Subclasses of PassageFormatter in org.apache.lucene.search.uhighlight
  Modifier and Type
  Class
  Description
  `class`
  `DefaultPassageFormatter`
  Creates a formatted snippet from the top passages.
  Fields in org.apache.lucene.search.uhighlight declared as PassageFormatter
  Modifier and Type
  Field
  Description
  `protected final PassageFormatter`
  FieldHighlighter.`passageFormatter`
  Methods in org.apache.lucene.search.uhighlight that return PassageFormatter
  Modifier and Type
  Method
  Description
  `protected PassageFormatter`
  UnifiedHighlighter.`getFormatter(String field)`
  Returns the `PassageFormatter` to use for formatting passages into highlighted snippets.
  Methods in org.apache.lucene.search.uhighlight with parameters of type PassageFormatter
  Modifier and Type
  Method
  Description
  `protected FieldHighlighter`
  UnifiedHighlighter.`newFieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`
  `void`
  UnifiedHighlighter.`setFormatter(PassageFormatter formatter)`
  Deprecated.
  `UnifiedHighlighter.Builder`
  UnifiedHighlighter.Builder.`withFormatter(PassageFormatter value)`
  Constructors in org.apache.lucene.search.uhighlight with parameters of type PassageFormatter
  Modifier
  Constructor
  Description
  ``
  `FieldHighlighter(String field, FieldOffsetStrategy fieldOffsetStrategy, BreakIterator breakIterator, PassageScorer passageScorer, int maxPassages, int maxNoHighlightPassages, PassageFormatter passageFormatter, Comparator<Passage> passageSortComparator)`